Lookup Voter's ID
curl --request GET \
--url https://api.dojah.io/api/v1/kyc/vin \
--header 'AppId: <appid>' \
--header 'Authorization: <api-key>'import requests
url = "https://api.dojah.io/api/v1/kyc/vin"
headers = {
"AppId": "<appid>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AppId: '<appid>', Authorization: '<api-key>'}};
fetch('https://api.dojah.io/api/v1/kyc/vin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": {
"full_name": "JOHN DOE MUSA",
"voter_identification_number": "91F123456789777777",
"gender": "Male",
"occupation": "STUDENT",
"time_of_registration": "2011-02-18 13:59:46",
"state": "ONDO",
"local_government": "Earth",
"registration_area_ward": "ISALU JIGBOKIN",
"polling_unit": "planet earth",
"polling_unit_code": "12/03/04/005",
"address": "NO 16 PLANNET EARTH",
"phone": "0812345678",
"date_of_birth": "1960-10-16"
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Lookup Voter's ID
This endpoint allows you to fetch a person’s details using the Voter’s Identification Number of the Individual.
GET
/
api
/
v1
/
kyc
/
vin
Lookup Voter's ID
Application ID from dashboard
Query parameter
Voter’s Identification Number
RESPONSES
json
{
"entity": {
"full_name": "JOHN DOE MUSA",
"voter_identification_number": "91F123456789777777",
"gender": "Male",
"occupation": "STUDENT",
"time_of_registration": "2011-02-18 13:59:46",
"state": "ONDO",
"local_government": "Earth",
"registration_area_ward": "ISALU JIGBOKIN",
"polling_unit": "planet earth",
"polling_unit_code": "12/03/04/005",
"address": "NO 16 PLANNET EARTH",
"phone": "0812345678",
"date_of_birth": "1960-10-16"
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Was this page helpful?
⌘I